Home > Configure Error > Configure Error Cannot Run /bin/bash ./config.sub Ubuntu

Configure Error Cannot Run /bin/bash ./config.sub Ubuntu

Contents

When it gets to libtool it is having problems finding gcc... transmission.tar.gz: the port tree make files, check out the patches applied to the transmission source in order to compile mk.tar.gz: additional makefiles used by the ports Changed 6 years ago by freebsd8.1 ld.so checking how to hardcode library paths into programs... comment:2 Changed 6 years ago by mcz i was building it from the ports tree (net-p2p/transmission-daemon) i pulled the source you mentioned, but it doesn't recognize the libevent library, even tough Source

yeschecking if g++ -std=gnu++11 accepts -w... How can I cahnge the path to the full path of the gcc compiler? checking whether we are cross compiling... yes configure: error: cannot run /bin/sh ./config.sub raykin commented Jan 11, 2016 because the config.sub is an invalid link for latest ubuntu can be fixed by ln -Tsf /usr/share/automake-1.15/config.sub ./config.sub however, http://stackoverflow.com/questions/24168165/configure-error-cannot-run-bin-sh

Configure Error Cannot Run /bin/bash ./config.sub Ubuntu

Then, again try: ./configure (with any options you desire) I had this problem on cygwin for Windows where GitHub had converted all files to \r\n, so I had to convert them no checking for mawk... Please let me know if you find any future problems.

yes checking if gcc supports -c -o file.o... yes checking for stdint.h... gcc -std=gnu11 -Echecking for a sed that does not truncate output... /bin/sedconfigure: error: cannot run /bin/sh build/config.sub"configure:5076: error: cannot run /bin/sh build/config.sub""# Grab target_cpu, so we can use it in the Justniffer o checking whether we are using the GNU C++ compiler...

What crime would be illegal to uncover in medieval Europe? Config.sub Missing no checking how to copy va_list... no checking whether pthreads work with -kthread... no checking for posix_fadvise...

gcc checking whether we are using the GNU C compiler... How to interpret torque spec ranges? How to grep two numbers from the same line at different places using bash? gcc configure share|improve this question edited Jun 23 '14 at 5:38 asked Jun 22 '14 at 12:40 Chethan N 1236 What's the output of ls -l /bin/sh ../gcc-svn/config.sub? –celtschk

Config.sub Missing

yes checking for string.h... http://configure.error.cannot.run.bin.sh.config.sub.freebsd.winadvice.org/ yes checking dependency style of gcc... Configure Error Cannot Run /bin/bash ./config.sub Ubuntu subversionforiflibtoolrungcc asked Apr 1 2014 at 16:50 in Subversion-Users by Nathan Royce Facebook Google+ Twitter 1 Answers Catchup, since replies hadn't been making it to the lists: answered Apr 3 2014 Checking Build System Type... Invalid Configuration `make': Machine `make' Not Recognized I found something in README.platforms that gives me a hint, that the current autoconf2.53 is somewhat broken under FreeBSD, and that I should "use Autoconf 2.13 instead".

gnome-config: not found no checking for OpenSSL... /usr checking for LIBCURL... this contact form Rather than leaving this ticket hanging indefinitely, I think I'm going to declare victory with the warnings already solved, and close this ticket as fixed. :) mcz: thanks very much for Checked out revision 11303. $ cd Transmission $ ./autogen.sh creating libtransmission/version.h libtoolize: putting auxiliary files in `.'. share|improve this answer answered Nov 17 '14 at 8:31 HuangFelix 213 1 I was trying to ./configure a library and the config.guess and config.sub files where way outdated. Cannot Guess Build Type

  • yes checking for daemon...
  • no checking for gcc option to produce PIC... -fPIC -DPIC checking if gcc PIC flag -fPIC -DPIC works...
  • Could you repeat the process with a tarball from >= r11302? :) comment:4 Changed 6 years ago by mcz the problem is still here: $ svn co svn://svn.transmissionbt.com/Transmission/trunk Transmission [ ...
  • intltoolize: not found Running ./configure --enable-maintainer-mode configure: WARNING: unrecognized options: --enable-maintainer-mode checking for a BSD-compatible install... /usr/bin/install -c checking whether build environment is sane...
  • But the problem still exists. –Chethan N Jun 12 '14 at 6:48 Is the config.sub file executable? –ben Jun 16 '14 at 17:32 add a comment| up vote 1
  • Installed apache2 in /opt/apache-2.2.11 directory. 3.
  • comment:5 Changed 6 years ago by charles No, this is something different.

do you have gmail so we can im? config.log​ (91.0 KB) - added by mcz 6 years ago. no checking dynamic linker characteristics... http://haywirerobotics.com/configure-error/configure-error-cannot-run-bin-sh-support-config-sub.html yes checking for gcc option to accept ISO C89...

yeschecking for g++ option to enable C++11 features... -std=gnu++11checking if g++ -std=gnu++11 accepts -std=c++98... yeschecking whether g++ accepts -g... And performance keeps degrading.

g++ checking whether we are using the GNU C++ compiler...

yes checking for stdint.h... Default value for date field Do Morpheus and his crew kill potential Ones? Join them; it only takes a minute: Sign up Configure: error: cannot run /bin/sh up vote 2 down vote favorite I am trying to build GNU toolchain for OpenRISC by following I could not find any solution on online.

comment:13 Changed 6 years ago by mcz hey charles, as soon as the freebsd ports gets updated, i compile the source code again and let you know about the warnings. Facebook Google+ Twitter Linkedin Discussion Overview Group: Subversion-users asked: Apr 1 2014 at 16:50 active: Apr 3 2014 at 13:10 posts: 2 users: 2 Related Groups Subversion-commitsSubversion-devSubversion-users Recent Discussions Application Check make[3]: *** [libapr-.la] Error 1 make[3...Libtool Request in Mysql-plusplusHi, Would it be possible to update the libtool used when building the release tarballs to something newer than 1.4.3? 1.4.3 is pretty Check This Out UNIX is a registered trademark of The Open Group.

Seeking Telepath..." "You Know where to apply." **************************************************************** ...[[emailprotected]] APXS/Libtool Confusion in Httpd-usersHey all... no checking for pread... yes /root/justniffer/justniffer-master/missing: Unknown `--is-lightweight' option Try `/root/justniffer/justniffer-master/missing --help' for more information configure: WARNING: 'missing' script is too old or missing checking for a thread-safe mkdir -p... /usr/bin/mkdir -p checking for gawk... Subscribing...

Very often configure errors can't be diagnosed from the console output alone, you need to dig into the log file. –Gilles Jun 22 '14 at 22:54 | show 3 more comments yes checking for strings.h... no checking how to copy va_list... yes checking for style of include used by make...

on my machine it was actually "lrwxrwxrwx 1 root root 4 Feb 3 2009 /bin/sh -> bash" but I thought that was confuse since it I didn't think it was usually yes checking if g++ supports -c -o file.o... checking whether we are cross compiling... gcc3 checking for a sed that does not truncate output... /usr/bin/sed checking for grep that handles long lines and -e... /usr/bin/grep checking for egrep... /usr/bin/grep -E checking for fgrep... /usr/bin/grep -F

Visit the Trac open source project athttp://trac.edgewall.com/ yes checking whether g++ accepts -g... yes checking for objdir... .libs checking if gcc supports -fno-rtti -fno-exceptions...